version 12
clear all

use bds_firm_sector
descr

* gen alternate sic grouping
label define _sicg ///
  1 "Manufacturing" ///
  2 "Retail Trade" ///
  3 "Services" ///
  4 "Other"

gen sicg = .
replace sicg = 1 if sic1==20 // manufacturing
replace sicg = 2 if sic1==52 // retail trade
replace sicg = 3 if sic1==70 // services
replace sicg = 4 if inlist(sic1,10,15,40,50,60) // "other" less agriculture
drop if mi(sicg)

lab values sicg _sicg

keep year2 sicg ///
  firms emp denom job_creation job_creation_births job_creation_continuers ///
  job_destruction job_destruction_deaths job_destruction_continuers ///
  net_job_creation firmdeath_firms firmdeath_estabs firmdeath_emp

collapse (sum) ///
  firms emp denom job_creation job_creation_births job_creation_continuers ///
  job_destruction job_destruction_deaths job_destruction_continuers ///
  net_job_creation firmdeath_firms firmdeath_estabs firmdeath_emp, by(year2 sicg)

  
do addvars_bds_empfirm_sector4

save bds_sector4, replace

